Bug 720552 (CVE-2011-2525) - CVE-2011-2525 kernel: kernel: net_sched: fix qdisc_notify()
Summary: CVE-2011-2525 kernel: kernel: net_sched: fix qdisc_notify()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2525
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 627850 720555 720556 723094 748670
Blocks: 720549
TreeView+ depends on / blocked
 
Reported: 2011-07-12 03:06 UTC by Eugene Teo (Security Response)
Modified: 2021-02-24 15:06 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-04 08:19:48 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1065 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.7 kernel security and bug fix update 2011-07-21 09:21:37 UTC
Red Hat Product Errata RHSA-2011:1163 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-08-16 18:34:09 UTC

Description Eugene Teo (Security Response) 2011-07-12 03:06:05 UTC
tc_fill_qdisc() should not be called for builtin qdisc, or it dereference a NULL pointer to get device ifindex.

Reference:
http://kerneltrap.org/mailarchive/linux-netdev/2010/5/21/6277805

Upstream commit:
http://git.kernel.org/linus/53b0f08042f04813cd1a7473dacd3edfacb28eb3

Comment 3 Eugene Teo (Security Response) 2011-07-12 03:18:50 UTC
Statement:

This flaw affects Red Hat Enterprise Linux 4 and 5. It did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as they have already backported the upstream commit 53b0f080 that addressed this flaw. This has been addressed in Red Hat Enterprise Linux 5 via https://rhn.redhat.com/errata/RHSA-2011-1065.html. Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance life-cycle, https://access.redhat.com/support/policy/updates/errata/, therefore the fix for this issue is not currently planned to be included in the future updates.

Comment 5 errata-xmlrpc 2011-07-21 09:21:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1065 https://rhn.redhat.com/errata/RHSA-2011-1065.html

Comment 6 errata-xmlrpc 2011-07-21 11:45:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1065 https://rhn.redhat.com/errata/RHSA-2011-1065.html

Comment 7 errata-xmlrpc 2011-08-16 18:34:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6.Z - Server Only

Via RHSA-2011:1163 https://rhn.redhat.com/errata/RHSA-2011-1163.html

Comment 8 Eugene Teo (Security Response) 2011-10-25 03:42:57 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 748670]


Note You need to log in before you can comment on or make changes to this bug.